<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Teilnehmer\KursUebersicht\Detailsreiter\Termine\TerminVerlaengernDialog;

class TerminVerlaengernDialogPresenter extends \Kufer\Web\KuferTools\Basis\Kursdetails\Detailsreiter\Termine\TerminVerlaengernDialog\TerminVerlaengernDialogPresenter
{
  public function present()
  {
    $view = $this->getView();
    if ($this->useCaseResponse->fristErreicht) {
      return $view->getHeader();
    } else {
      return $view->getBody();
    }
  }

  protected function getView()
  {
    return new TerminVerlaengernDialogView($this->getViewModel());
  }
}